Index: cprs/branches/HealthSevak-CPRS/CPRS-Lib/ORCtrls.pas
===================================================================
--- cprs/branches/HealthSevak-CPRS/CPRS-Lib/ORCtrls.pas	(revision 1676)
+++ cprs/branches/HealthSevak-CPRS/CPRS-Lib/ORCtrls.pas	(revision 1693)
@@ -4314,8 +4416,8 @@
 
     PnlHeight := FListBox.Height;
-    if(FListBox.FCheckBoxes) then
+    if (FListBox.FCheckBoxes) then
       inc(PnlHeight, CheckComboBtnHeight);
     FDropPanel.SetBounds(ScreenPoint.X, ScreenPoint.Y, FListBox.Width, PnlHeight);
-    if(FListBox.FCheckBoxes) then
+    if (FListBox.FCheckBoxes) then
     begin
       FDropPanel.ResetButtons;
@@ -4326,5 +4428,5 @@
     FDropPanel.BringToFront;
     if FListBox.FScrollBar <> nil then FListBox.FScrollBar.BringToFront;
-    if not FFromDropBtn then FListBox.MouseCapture := True;  // otherwise ButtonUp captures
+    if not FFromDropBtn then FListBox.MouseCapture := True; // otherwise ButtonUp captures
   end else
   begin
@@ -4334,5 +4436,5 @@
     FDropPanel.Hide;
     DropDownStatusChanged(FALSE);
-    if(FListBox.FCheckBoxes) and (assigned(FOnChange)) and
+    if (FListBox.FCheckBoxes) and (assigned(FOnChange)) and
       (FCheckedState <> FListBox.GetCheckedString) then
       FOnChange(Self);
@@ -4346,15 +4448,15 @@
 begin
   SendMessage(FEditBox.Handle, EM_GETRECT, 0, LongInt(@Loc));
-  Loc.Bottom := ClientHeight + 1;               // +1 is workaround for windows paint bug
+  Loc.Bottom := ClientHeight + 1; // +1 is workaround for windows paint bug
   if FStyle = orcsDropDown then
   begin
-    Loc.Right := ClientWidth - FDropBtn.Width - CBO_CXFRAME;  // edit up to button
-    if(FTemplateField) then
-      inc(Loc.Right,3);
+    Loc.Right := ClientWidth - FDropBtn.Width - CBO_CXFRAME; // edit up to button
+    if (FTemplateField) then
+      inc(Loc.Right, 3);
   end
   else
-    Loc.Right := ClientWidth - CBO_CXFRAME;                  // edit in full edit box
+    Loc.Right := ClientWidth - CBO_CXFRAME; // edit in full edit box
   Loc.Top := 0;
-  if(FTemplateField) then
+  if (FTemplateField) then
     Loc.Left := 2
   else
@@ -4383,5 +4485,5 @@
     if Value = -1 then FFocusIndex := -1 else FocusIndex := Value;
     uItemTip.Hide;
-    if(FListBox.CheckBoxes) then
+    if (FListBox.CheckBoxes) then
       SetEditText(GetEditBoxText(ItemIndex))
     else
@@ -4430,13 +4532,13 @@
       FListBox.FParentCombo := nil;
       FListBox.Parent := Self;
-      if FListBox.FScrollBar <> nil then FListBox.FScrollBar.Parent := Self;        // if long
+      if FListBox.FScrollBar <> nil then FListBox.FScrollBar.Parent := Self; // if long
       FListBox.Visible := True;
     end else
     begin
       FDropBtn := TBitBtn.Create(Self);
-      if(assigned(FEditPanel) and (csDesigning in ComponentState)) then
+      if (assigned(FEditPanel) and (csDesigning in ComponentState)) then
         FEditPanel.ControlStyle := FEditPanel.ControlStyle + [csAcceptsControls];
       FDropBtn.Parent := FEditBox;
-      if(assigned(FEditPanel) and (csDesigning in ComponentState)) then
+      if (assigned(FEditPanel) and (csDesigning in ComponentState)) then
         FEditPanel.ControlStyle := FEditPanel.ControlStyle - [csAcceptsControls];
       LoadComboBoxImage;
@@ -4454,5 +4556,5 @@
         FListBox.Parent := FDropPanel;
         ClearDropDownStatus;
-        if FListBox.FScrollBar <> nil then FListBox.FScrollBar.Parent := FDropPanel;  // if long
+        if FListBox.FScrollBar <> nil then FListBox.FScrollBar.Parent := FDropPanel; // if long
       end else
       begin
@@ -4718,5 +4820,5 @@
 procedure TORComboBox.SetColor(Value: TColor);
 begin
-  if(not FListBox.CheckBoxes) then
+  if (not FListBox.CheckBoxes) then
     FEditBox.Color := Value;
   FListBox.Color := Value;
@@ -4795,5 +4897,5 @@
 procedure TORComboBox.SetText(const Value: string);
 begin
-  FEditBox.Text := Value;        // kcm ???
+  FEditBox.Text := Value; // kcm ???
 end;
 
@@ -4825,12 +4927,12 @@
 procedure TORComboBox.SetCheckBoxes(const Value: boolean);
 begin
-  if(FListBox.FCheckBoxes <> Value) then
+  if (FListBox.FCheckBoxes <> Value) then
   begin
     FListBox.SetCheckBoxes(Value);
-    if(assigned(FDropPanel)) then
+    if (assigned(FDropPanel)) then
       FDropPanel.UpdateButtons;
     FEditBox.Visible := FALSE;
     try
-      if(Value) then
+      if (Value) then
       begin
         SetListItemsOnly(TRUE);
@@ -4844,5 +4946,5 @@
         FEditPanel.BorderWidth := 1;
         FEditBox.Parent := FEditPanel;
-        if(csDesigning in ComponentState) then
+        if (csDesigning in ComponentState) then
           FEditPanel.ControlStyle := FEditPanel.ControlStyle - [csAcceptsControls];
       end
@@ -4865,7 +4967,7 @@
 begin
   FListBox.SetChecked(Index, Value);
-  if(assigned(FDropPanel)) then
+  if (assigned(FDropPanel)) then
     FDropPanel.UpdateButtons;
-  if(Value) then
+  if (Value) then
     SetListItemsOnly(TRUE);
 end;
@@ -4886,12 +4988,12 @@
 
 begin
-  if(assigned(FDropPanel)) then
+  if (assigned(FDropPanel)) then
   begin
     btn := FDropPanel.GetButton(OKBtn);
-    if(assigned(Btn)) then
+    if (assigned(Btn)) then
       Btn.Down := TRUE;
   end;
-  if(not OKBtn) then FListBox.SetCheckedString(FCheckedState);
-  if(AutoClose) then
+  if (not OKBtn) then FListBox.SetCheckedString(FCheckedState);
+  if (AutoClose) then
   begin
     FListBox.FDontClose := FALSE;
@@ -4913,8 +5015,8 @@
 procedure TORComboBox.SetCheckBoxEditColor(const Value: TColor);
 begin
-  if(FCheckBoxEditColor <> Value) then
+  if (FCheckBoxEditColor <> Value) then
   begin
     FCheckBoxEditColor := Value;
-    if(FListBox.FCheckBoxes) then
+    if (FListBox.FCheckBoxes) then
       FEditBox.Color := FCheckBoxEditColor;
   end;
@@ -4923,8 +5025,8 @@
 procedure TORComboBox.SetListItemsOnly(const Value: Boolean);
 begin
-  if(FListItemsOnly <> Value) then
+  if (FListItemsOnly <> Value) then
   begin
     FListItemsOnly := Value;
-    if(not Value) then
+    if (not Value) then
       SetCheckBoxes(FALSE);
   end;
@@ -4939,8 +5041,8 @@
 procedure TORComboBox.SetTemplateField(const Value: boolean);
 begin
-  if(FTemplateField <> Value) then
+  if (FTemplateField <> Value) then
   begin
     FTemplateField := Value;
-    if(Value) then
+    if (Value) then
     begin
       SetStyle(orcsDropDown);
@@ -4985,19 +5087,19 @@
 
 begin
-  if(FListBox.FCheckBoxes) then
+  if (FListBox.FCheckBoxes) then
   begin
     Result := '';
     cnt := 0;
-    for i := 0 to FListBox.Items.Count-1 do
-    begin
-      if(FListBox.Checked[i]) then
+    for i := 0 to FListBox.Items.Count - 1 do
+    begin
+      if (FListBox.Checked[i]) then
       begin
         inc(cnt);
-        if(Result <> '') then
+        if (Result <> '') then
           Result := Result + ', ';
         Result := Result + FListBox.GetDisplayText(i);
       end;
     end;
-    if(assigned(FOnCheckedText)) then
+    if (assigned(FOnCheckedText)) then
       FOnCheckedText(FListBox, cnt, Result);
   end
@@ -5008,5 +5110,5 @@
 procedure TORComboBox.UpdateCheckEditBoxText;
 begin
-  if(FListBox.FCheckBoxes) then
+  if (FListBox.FCheckBoxes) then
   begin
     FFromSelf := TRUE;
@@ -5020,5 +5122,5 @@
 begin
   UpdateCheckEditBoxText;
-  if(FStyle <> orcsDropDown) and (assigned(FOnChange)) then
+  if (FStyle <> orcsDropDown) and (assigned(FOnChange)) then
     FOnChange(Self);
 end;
@@ -5076,15 +5178,15 @@
 begin
   if FSizes <> nil then with FSizes do for i := 0 to Count - 1 do
-  begin
-    SizeRatio := Items[i];
-    SizeRatio.Free;
-  end;
+      begin
+        SizeRatio := Items[i];
+        SizeRatio.Free;
+      end;
   FSizes.Free;
   inherited Destroy;
 end;
 
-procedure TORAutoPanel.BuildSizes( Control: TWinControl);
-var
-  i,H,W: Integer;
+procedure TORAutoPanel.BuildSizes(Control: TWinControl);
+var
+  i, H, W: Integer;
   SizeRatio: TSizeRatio;
   Child: TControl;
@@ -5097,6 +5199,6 @@
     Child := Control.Controls[i];
     with Child do
-      SizeRatio := TSizeRatio.Create(Left/W, Top/H, Width/W, Height/H);
-    FSizes.Add(SizeRatio);  //FSizes is in tree traversal order.
+      SizeRatio := TSizeRatio.Create(Left / W, Top / H, Width / W, Height / H);
+    FSizes.Add(SizeRatio); //FSizes is in tree traversal order.
     //TGroupBox is currently the only type of container that is having these
     //resize problems
@@ -5110,12 +5212,12 @@
 begin
   inherited Loaded;
-  if csDesigning in ComponentState then Exit;          // only want auto-resizing at run time
+  if csDesigning in ComponentState then Exit; // only want auto-resizing at run time
   FSizes := TList.Create;
   BuildSizes(Self);
 end;
 
-procedure TORAutoPanel.DoResize( Control: TWinControl; var CurrentIndex: Integer);
-var
-  i,H,W: Integer;
+procedure TORAutoPanel.DoResize(Control: TWinControl; var CurrentIndex: Integer);
+var
+  i, H, W: Integer;
   SizeRatio: TSizeRatio;
   Child: TControl;
@@ -5132,7 +5234,7 @@
     with SizeRatio do begin
       if (Child is TLabel) or (Child is TStaticText) then
-        Child.SetBounds(Round(CLeft*W), Round(CTop*H), Child.Width, Child.Height)
+        Child.SetBounds(Round(CLeft * W), Round(CTop * H), Child.Width, Child.Height)
       else
-        Child.SetBounds(Round(CLeft*W), Round(CTop*H), Round(CWidth*W), Round(CHeight*H));
+        Child.SetBounds(Round(CLeft * W), Round(CTop * H), Round(CWidth * W), Round(CHeight * H));
     end;
     if Child is TGroupBox then
@@ -5147,7 +5249,7 @@
 begin
   inherited Resize;
-  if csDesigning in ComponentState then Exit;          // only want auto-resizing at run time
+  if csDesigning in ComponentState then Exit; // only want auto-resizing at run time
   i := 0;
-  DoResize( Self, i);
+  DoResize(Self, i);
 end;
 
@@ -5191,5 +5293,5 @@
     Flags := DT_EXPANDTABS or DT_CALCRECT;
     if FWordWrap then Flags := Flags or DT_WORDBREAK;
-    DoDrawText(ARect, Flags);                                      // returns size of text rect
+    DoDrawText(ARect, Flags); // returns size of text rect
     Canvas.Handle := 0;
     ReleaseDC(0, DC);
@@ -5227,5 +5329,5 @@
     ARect := ClientRect;
     Inc(ARect.Left, FHorzOffset);
-    Inc(ARect.Top,  FVertOffset);
+    Inc(ARect.Top, FVertOffset);
     Flags := DT_EXPANDTABS or DT_NOPREFIX or DT_LEFT;
     if FWordWrap then Flags := Flags or DT_WORDBREAK;
@@ -5246,6 +5348,6 @@
   begin
     if Value
-      then ControlStyle := ControlStyle - [csOpaque]   // transparent = true
-      else ControlStyle := ControlStyle + [csOpaque];  // transparent = false
+      then ControlStyle := ControlStyle - [csOpaque] // transparent = true
+    else ControlStyle := ControlStyle + [csOpaque]; // transparent = false
     Invalidate;
   end;
@@ -5318,11 +5420,11 @@
   inherited CreateParams(Params);
   Params.Style := Params.Style or ButtonAlignment[FAlignment] or
-                                  ButtonLayout[FLayout] or
-                                  ButtonWordWrap[FWordWrap];
+    ButtonLayout[FLayout] or
+    ButtonWordWrap[FWordWrap];
 end;
 
 procedure TORAlignButton.SetAlignment(const Value: TAlignment);
 begin
-  if(FAlignment <> Value) then
+  if (FAlignment <> Value) then
   begin
     FAlignment := Value;
@@ -5333,5 +5435,5 @@
 procedure TORAlignButton.SetLayout(const Value: TTextLayout);
 begin
-  if(FLayout <> Value) then
+  if (FLayout <> Value) then
   begin
     FLayout := Value;
@@ -5342,5 +5444,5 @@
 procedure TORAlignButton.SetWordWrap(const Value: boolean);
 begin
-  if(FWordWrap <> Value) then
+  if (FWordWrap <> Value) then
   begin
     FWordWrap := Value;
@@ -5359,14 +5461,14 @@
   MakeVisible;
   R := DisplayRect(FALSE);
-  if(R.Top < 0) then
+  if (R.Top < 0) then
     TreeView.TopItem := Self
   else
-  if(R.Bottom > TreeView.ClientHeight) then
-  begin
-    DY := R.Bottom - TreeView.ClientHeight;
-    LH := R.Bottom - R.Top + 1;
-    DY := (DY div LH) + 1;
-    GetORTreeView.SetVertScrollPos(GetORTreeView.GetVertScrollPos + DY);
-  end;
+    if (R.Bottom > TreeView.ClientHeight) then
+    begin
+      DY := R.Bottom - TreeView.ClientHeight;
+      LH := R.Bottom - R.Top + 1;
+      DY := (DY div LH) + 1;
+      GetORTreeView.SetVertScrollPos(GetORTreeView.GetVertScrollPos + DY);
+    end;
 end;
 
@@ -5397,5 +5499,5 @@
 function TORTreeNode.GetText: string;
 begin
-  Result := Inherited Text;
+  Result := inherited Text;
 end;
 
@@ -5423,5 +5525,5 @@
   begin
     ORCtrls.SetPiece(FStringData, FDelim, PieceNum, NewPiece);
-    if(PieceNum = FPiece) then
+    if (PieceNum = FPiece) then
       Text := NewPiece;
   end;
@@ -5430,5 +5532,5 @@
 procedure TORTreeNode.SetStringData(const Value: string);
 begin
-  if(FStringData <> Value) then
+  if (FStringData <> Value) then
   begin
     FStringData := Value;
@@ -5447,7 +5549,7 @@
 procedure TORTreeNode.UpdateText(const Value: string; UpdateData: boolean);
 begin
-  Inherited Text := Value;
+  inherited Text := Value;
   Caption := Text;
-  if(UpdateData) then
+  if (UpdateData) then
     with GetORTreeView do
     begin
@@ -5457,5 +5559,5 @@
 end;
 
-function CalcShortName( LongName: string; PrevLongName: string): string;
+function CalcShortName(LongName: string; PrevLongName: string): string;
 var
   WordBorder: integer;
@@ -5465,5 +5567,5 @@
   for j := 1 to Length(LongName) do
   begin
-    if (LongName[j] = ' ') or ((j > 1) and (LongName[j-1] = ' ')) or
+    if (LongName[j] = ' ') or ((j > 1) and (LongName[j - 1] = ' ')) or
       ((j = Length(LongName)) and (j = Length(PrevLongName)) and (LongName[j] = PrevLongName[j])) then
       WordBorder := j;
@@ -5474,7 +5576,7 @@
     result := LongName
   else if WordBorder = Length(LongName) then
-    result := 'Same as above ('+LongName+')'
+    result := 'Same as above (' + LongName + ')'
   else
-    result := Copy(LongName,WordBorder,Length(LongName)) + ' ('+Trim(Copy(LongName,1,WordBorder -1)) + ')';
+    result := Copy(LongName, WordBorder, Length(LongName)) + ' (' + Trim(Copy(LongName, 1, WordBorder - 1)) + ')';
 end;
 
@@ -5489,5 +5591,5 @@
       OnNodeCaptioning(self, TheCaption);
     if ShortNodeCaptions and (Self.GetPrevSibling <> nil) then
-      TheCaption := CalcShortName( TheCaption, Self.GetPrevSibling.Text);
+      TheCaption := CalcShortName(TheCaption, Self.GetPrevSibling.Text);
   end;
   FCaption := TheCaption;
@@ -5503,5 +5605,5 @@
 begin
   DoInh := TRUE;
-  if(assigned(FOnDragging)) then
+  if (assigned(FOnDragging)) then
   begin
     with Message do
@@ -5516,5 +5618,5 @@
             end;
             FOnDragging(Self, DNode, DoInh);
-            if(not DoInh) then
+            if (not DoInh) then
             begin
               Message.Result := 1;
@@ -5525,5 +5627,5 @@
     end;
   end;
-  if(DoInh) then inherited;
+  if (DoInh) then inherited;
 end;
 
@@ -5537,10 +5639,10 @@
 begin
   Result := TORTreeNode.Create(Items);
-  if Assigned( OnAddition ) then
+  if Assigned(OnAddition) then
     OnAddition(self, Result);
 end;
 
 function TORTreeView.FindPieceNode(Value: string;
-                                   ParentDelim: Char = #0; StartNode: TTreeNode = nil): TORTreeNode;
+  ParentDelim: Char = #0; StartNode: TTreeNode = nil): TORTreeNode;
 begin
   Result := FindPieceNode(Value, FPiece, ParentDelim, StartNode);
@@ -5548,5 +5650,5 @@
 
 function TORTreeView.FindPieceNode(Value: string; APiece: integer;
-                                   ParentDelim: Char = #0; StartNode: TTreeNode = nil): TORTreeNode;
+  ParentDelim: Char = #0; StartNode: TTreeNode = nil): TORTreeNode;
 var
   StartIdx, i: integer;
@@ -5555,12 +5657,12 @@
 begin
   if assigned(StartNode) then
-    StartIdx := StartNode.AbsoluteIndex+1
+    StartIdx := StartNode.AbsoluteIndex + 1
   else
     StartIdx := 0;
   Result := nil;
-  for i := StartIdx to Items.Count-1 do
+  for i := StartIdx to Items.Count - 1 do
   begin
     Node := (Items[i] as TORTreeNode);
-    if(GetNodeID(Node, APiece, ParentDelim) = Value) then
+    if (GetNodeID(Node, APiece, ParentDelim) = Value) then
     begin
       Result := Node;
@@ -5576,11 +5678,11 @@
 begin
   Result := '';
-  for i := 0 to Items.Count-1 do
+  for i := 0 to Items.Count - 1 do
   begin
     with (Items[i] as TORTreeNode) do
     begin
-      if(Expanded) then
+      if (Expanded) then
       begin
-        if(Result <> '') then
+        if (Result <> '') then
           Result := Result + FDelim;
         Result := Result + GetNodeID(TORTreeNode(Items[i]), APiece, ParentDelim);
@@ -5596,5 +5698,5 @@
 
 procedure TORTreeView.SetExpandedIDStr(APiece: integer; ParentDelim: char;
-                                                        const Value: string);
+  const Value: string);
 var
   i: integer;
@@ -5614,11 +5716,11 @@
     repeat
       i := pos(FDelim, NList);
-      if(i = 0) then i := length(NList)+1;
-      Srch := copy(NList,1,i-1);
+      if (i = 0) then i := length(NList) + 1;
+      Srch := copy(NList, 1, i - 1);
       Node := FindPieceNode(Srch, APiece, ParentDelim);
-      if(assigned(Node)) then
+      if (assigned(Node)) then
         Node.Expand(FALSE);
-      Nlist := copy(NList,i+1,MaxInt);
-    until(NList = '');
+      Nlist := copy(NList, i + 1, MaxInt);
+    until (NList = '');
     TopItem := Top;
     Selected := Sel;
@@ -5640,10 +5742,10 @@
 procedure TORTreeView.RenameNodes;
 var
-  i:integer;
-
-begin
-  if(FDelim <> #0) and (FPiece > 0) then
-  begin
-    for i := 0 to Items.Count-1 do
+  i: integer;
+
+begin
+  if (FDelim <> #0) and (FPiece > 0) then
+  begin
+    for i := 0 to Items.Count - 1 do
       with (Items[i] as TORTreeNode) do
         UpdateText(Piece(FStringData, FDelim, FPiece), FALSE);
@@ -5653,5 +5755,5 @@
 procedure TORTreeView.SetNodeDelim(const Value: Char);
 begin
-  if(FDelim <> Value) then
+  if (FDelim <> Value) then
   begin
     FDelim := Value;
@@ -5662,11 +5764,11 @@
 procedure TORTreeView.SetHorzScrollPos(Value: integer);
 begin
-  if(Value < 0) then Value := 0;
-  Perform(WM_HSCROLL,MakeWParam(SB_THUMBPOSITION, Value),0);
+  if (Value < 0) then Value := 0;
+  Perform(WM_HSCROLL, MakeWParam(SB_THUMBPOSITION, Value), 0);
 end;
 
 procedure TORTreeView.SetNodePiece(const Value: integer);
 begin
-  if(FPiece <> Value) then
+  if (FPiece <> Value) then
   begin
     FPiece := Value;
@@ -5677,6 +5779,6 @@
 procedure TORTreeView.SetVertScrollPos(Value: integer);
 begin
-  if(Value < 0) then Value := 0;
-  Perform(WM_VSCROLL,MakeWParam(SB_THUMBPOSITION, Value),0);
+  if (Value < 0) then Value := 0;
+  Perform(WM_VSCROLL, MakeWParam(SB_THUMBPOSITION, Value), 0);
 end;
 
@@ -5690,8 +5792,8 @@
   ParentDelim: Char): string;
 begin
-  if(assigned(Node)) then
+  if (assigned(Node)) then
   begin
     Result := Piece(Node.FStringData, FDelim, APiece);
-    if((ParentDelim <> #0) and (ParentDelim <> FDelim) and (assigned(Node.Parent))) then
+    if ((ParentDelim <> #0) and (ParentDelim <> FDelim) and (assigned(Node.Parent))) then
       Result := Result + ParentDelim + GetNodeID(Node.Parent, APiece, ParentDelim);
   end
@@ -5742,5 +5844,5 @@
   function RStr(Value: integer): string;
   begin
-    if(Value <> -1) then
+    if (Value <> -1) then
       Result := IntToStr(Value)
     else
@@ -5751,26 +5853,26 @@
 begin
   Result := RStr(FCheckedEnabledIndex) +
-            RStr(FGrayedEnabledIndex) +
-            RStr(FUncheckedEnabledIndex) +
-            RStr(FCheckedDisabledIndex) +
-            RStr(FGrayedDisabledIndex) +
-            RStr(FUncheckedDisabledIndex);
-  delete(Result,length(Result),1);
-  if(Result = ',,,,,') then Result := '';
+    RStr(FGrayedEnabledIndex) +
+    RStr(FUncheckedEnabledIndex) +
+    RStr(FCheckedDisabledIndex) +
+    RStr(FGrayedDisabledIndex) +
+    RStr(FUncheckedDisabledIndex);
+  delete(Result, length(Result), 1);
+  if (Result = ',,,,,') then Result := '';
 end;
 
 procedure TORCBImageIndexes.SetIdxString(Value: string);
 var
-  i,j,v: integer;
-  Sub: String;
-
-begin
-  if(Value = '') then
-  begin
-    FCheckedEnabledIndex    := -1;
-    FGrayedEnabledIndex     := -1;
-    FUncheckedEnabledIndex  := -1;
-    FCheckedDisabledIndex   := -1;
-    FGrayedDisabledIndex    := -1;
+  i, j, v: integer;
+  Sub: string;
+
+begin
+  if (Value = '') then
+  begin
+    FCheckedEnabledIndex := -1;
+    FGrayedEnabledIndex := -1;
+    FUncheckedEnabledIndex := -1;
+    FCheckedDisabledIndex := -1;
+    FGrayedDisabledIndex := -1;
     FUncheckedDisabledIndex := -1;
   end
@@ -5780,18 +5882,18 @@
     Sub := Value;
     repeat
-      j := pos(',',Sub);
-      if(j = 0) then j := length(Sub)+1;
-      v := StrToIntDef(copy(Sub,1,j-1),-1);
+      j := pos(',', Sub);
+      if (j = 0) then j := length(Sub) + 1;
+      v := StrToIntDef(copy(Sub, 1, j - 1), -1);
       case i of
-        0: FCheckedEnabledIndex    := v;
-        1: FGrayedEnabledIndex     := v;
-        2: FUncheckedEnabledIndex  := v;
-        3: FCheckedDisabledIndex   := v;
-        4: FGrayedDisabledIndex    := v;
+        0: FCheckedEnabledIndex := v;
+        1: FGrayedEnabledIndex := v;
+        2: FUncheckedEnabledIndex := v;
+        3: FCheckedDisabledIndex := v;
+        4: FGrayedDisabledIndex := v;
         5: FUncheckedDisabledIndex := v;
       end;
       inc(i);
-      Sub := copy(Sub,j+1,MaxInt);
-    until(Sub = '');
+      Sub := copy(Sub, j + 1, MaxInt);
+    until (Sub = '');
   end;
 end;
@@ -5799,5 +5901,5 @@
 procedure TORCBImageIndexes.ImageListChanged(Sender: TObject);
 begin
-  if(Owner is TWinControl) then
+  if (Owner is TWinControl) then
     (Owner as TWinControl).Invalidate;
 end;
@@ -5811,5 +5913,5 @@
 procedure TORCBImageIndexes.SetCheckedDisabledIndex(const Value: integer);
 begin
-  if(FCheckedDisabledIndex <> Value) then
+  if (FCheckedDisabledIndex <> Value) then
   begin
     FCheckedDisabledIndex := Value;
@@ -5820,5 +5922,5 @@
 procedure TORCBImageIndexes.SetCheckedEnabledIndex(const Value: integer);
 begin
-  if(FCheckedEnabledIndex <> Value) then
+  if (FCheckedEnabledIndex <> Value) then
   begin
     FCheckedEnabledIndex := Value;
@@ -5829,5 +5931,5 @@
 procedure TORCBImageIndexes.SetGrayedDisabledIndex(const Value: integer);
 begin
-  if(FGrayedDisabledIndex <> Value) then
+  if (FGrayedDisabledIndex <> Value) then
   begin
     FGrayedDisabledIndex := Value;
@@ -5838,5 +5940,5 @@
 procedure TORCBImageIndexes.SetGrayedEnabledIndex(const Value: integer);
 begin
-  if(FGrayedEnabledIndex <> Value) then
+  if (FGrayedEnabledIndex <> Value) then
   begin
     FGrayedEnabledIndex := Value;
@@ -5847,5 +5949,5 @@
 procedure TORCBImageIndexes.SetUncheckedDisabledIndex(const Value: integer);
 begin
-  if(FUncheckedDisabledIndex <> Value) then
+  if (FUncheckedDisabledIndex <> Value) then
   begin
     FUncheckedDisabledIndex := Value;
@@ -5856,5 +5958,5 @@
 procedure TORCBImageIndexes.SetUncheckedEnabledIndex(const Value: integer);
 begin
-  if(FUncheckedEnabledIndex <> Value) then
+  if (FUncheckedEnabledIndex <> Value) then
   begin
     FUncheckedEnabledIndex := Value;
@@ -5889,5 +5991,5 @@
 destructor TORCheckBox.Destroy;
 begin
-  if(FCustomImagesOwned) then FCustomImages.Free;
+  if (FCustomImagesOwned) then FCustomImages.Free;
   FCanvas.Free;
   inherited;
@@ -5917,5 +6019,5 @@
 procedure TORCheckBox.Toggle;
 begin
-  if(FGrayedToChecked) then
+  if (FGrayedToChecked) then
   begin
     case State of
@@ -5969,7 +6071,7 @@
 
 procedure TORCheckBox.GetDrawData(CanvasHandle: HDC; var Bitmap: TBitmap;
-                                         var FocRect, Rect: TRect;
-                                         var DrawOptions: UINT;
-                                         var TempBitMap: boolean);
+  var FocRect, Rect: TRect;
+  var DrawOptions: UINT;
+  var TempBitMap: boolean);
 var
   i, l, TxtHeight, TxtWidth, AWidth: Integer;
@@ -5983,5 +6085,5 @@
   FSingleLine := TRUE;
 
-  if(not (csDestroying in ComponentState)) then
+  if (not (csDestroying in ComponentState)) then
   begin
     with FCustomImages do
@@ -5993,12 +6095,12 @@
         begin
           CustomImgIdx := -1;
-          if(assigned(FImages)) then
+          if (assigned(FImages)) then
           begin
-            if(Enabled or (csDesigning in ComponentState)) then
+            if (Enabled or (csDesigning in ComponentState)) then
             begin
               case State of
-                cbChecked:   CustomImgIdx := FCheckedEnabledIndex;
+                cbChecked: CustomImgIdx := FCheckedEnabledIndex;
                 cbUnChecked: CustomImgIdx := FUncheckedEnabledIndex;
-                cbGrayed:    CustomImgIdx := FGrayedEnabledIndex;
+                cbGrayed: CustomImgIdx := FGrayedEnabledIndex;
               end;
             end
@@ -6006,18 +6108,18 @@
             begin
               case State of
-                cbChecked:   CustomImgIdx := FCheckedDisabledIndex;
+                cbChecked: CustomImgIdx := FCheckedDisabledIndex;
                 cbUnChecked: CustomImgIdx := FUncheckedDisabledIndex;
-                cbGrayed:    CustomImgIdx := FGrayedDisabledIndex;
+                cbGrayed: CustomImgIdx := FGrayedDisabledIndex;
               end;
             end;
-            if((CustomImgIdx < 0) or (CustomImgIdx >= FImages.Count)) then
+            if ((CustomImgIdx < 0) or (CustomImgIdx >= FImages.Count)) then
               CustomImgIdx := -1;
           end;
-          if(CustomImgIdx < 0) then
+          if (CustomImgIdx < 0) then
           begin
             ImgIdx := iiChecked;
-            if(Enabled or (csDesigning in ComponentState)) then
+            if (Enabled or (csDesigning in ComponentState)) then
             begin
-              if(FRadioStyle) then
+              if (FRadioStyle) then
               begin
                 if State = cbChecked then
@@ -6029,11 +6131,11 @@
               begin
                 case State of
-                  cbChecked:   ImgIdx := iiChecked;
+                  cbChecked: ImgIdx := iiChecked;
                   cbUnChecked: ImgIdx := iiUnchecked;
                   cbGrayed:
                     begin
                       case FGrayedStyle of
-                        gsNormal:           ImgIdx := iiGrayed;
-                        gsQuestionMark:     ImgIdx := iiQMark;
+                        gsNormal: ImgIdx := iiGrayed;
+                        gsQuestionMark: ImgIdx := iiQMark;
                         gsBlueQuestionMark: ImgIdx := iiBlueQMark;
                       end;
@@ -6044,5 +6146,5 @@
             else
             begin
-              if(FRadioStyle) then
+              if (FRadioStyle) then
               begin
                 if State = cbChecked then
@@ -6054,9 +6156,9 @@
               begin
                 case State of
-                  cbChecked:   ImgIdx := iiDisChecked;
+                  cbChecked: ImgIdx := iiDisChecked;
                   cbUnChecked: ImgIdx := iiDisUnchecked;
                   cbGrayed:
                     begin
-                      if(FGrayedStyle = gsNormal) then
+                      if (FGrayedStyle = gsNormal) then
                         ImgIdx := iiDisGrayed
                       else
@@ -6082,10 +6184,10 @@
             Rect.Left := Bitmap.Width + 5;
 
-          if(FWordWrap) then
+          if (FWordWrap) then
             DrawOptions := DrawOptions or DT_WORDBREAK
           else
             DrawOptions := DrawOptions or DT_VCENTER or DT_SINGLELINE;
 
-          if(FWordWrap) then
+          if (FWordWrap) then
           begin
             if Alignment = taLeftJustify then
@@ -6094,9 +6196,9 @@
               Rect.Right := Width;
             Rect.Top := 1;
-            Rect.Bottom := Height+1;
+            Rect.Bottom := Height + 1;
             dec(Rect.Right);
             FocRect := Rect;
             TxtHeight := DrawText(Handle, PChar(Caption), Length(Caption), FocRect,
-                                                          DrawOptions or DT_CALCRECT);
+              DrawOptions or DT_CALCRECT);
             FSingleLine := (TxtHeight = TextHeight(Caption));
             Rect.Bottom := Rect.Top + TxtHeight + 1;
@@ -6110,15 +6212,15 @@
             l := length(Caption);
             AWidth := TextWidth('&');
-            while(i < l) do
+            while (i < l) do
             begin
               inc(i);
               // '&&' is an escape char that should display one '&' wide.
               // This next part preserves the first '&' but drops all the others
-              if (Copy(Caption,i,2)<>'&&') and (Copy(Caption,i,1)='&') then
-                dec(TxtWidth,AWidth);
+              if (Copy(Caption, i, 2) <> '&&') and (Copy(Caption, i, 1) = '&') then
+                dec(TxtWidth, AWidth);
             end;
             Rect.Right := Rect.Left + TxtWidth;
             TxtHeight := TextHeight(Caption);
-            if(TxtHeight < Bitmap.Height) then
+            if (TxtHeight < Bitmap.Height) then
               TxtHeight := Bitmap.Height;
             Rect.Top := ((((ClientHeight - TxtHeight) * 5) - 5) div 10);
@@ -6143,5 +6245,5 @@
 
 begin
-  if(not (csDestroying in ComponentState)) then
+  if (not (csDestroying in ComponentState)) then
   begin
     GetDrawData(DrawItemStruct.hDC, Bitmap, FocusRect, R, DrawOptions, TempBitMap);
@@ -6160,5 +6262,5 @@
           Font := Self.Font;
 
-          if(Enabled or (csDesigning in ComponentState)) then
+          if (Enabled or (csDesigning in ComponentState)) then
           begin
             DrawText(Handle, PChar(Caption), Length(Caption), FocusRect, DrawOptions);
@@ -6166,5 +6268,5 @@
           else
           begin
-            OldColor:=Font.Color;
+            OldColor := Font.Color;
             try
               if Ctl3D then
@@ -6175,8 +6277,8 @@
                 OffsetRect(FocusRect, -1, -1);
               end;
-              Font.Color:=clGrayText;
+              Font.Color := clGrayText;
               DrawText(Handle, PChar(Caption), Length(Caption), FocusRect, DrawOptions);
             finally
-              Font.Color:=OldColor;
+              Font.Color := OldColor;
             end;
 
@@ -6185,8 +6287,8 @@
           end;
 
-          if((DrawItemStruct.itemState and ODS_FOCUS) <> 0) then
+          if ((DrawItemStruct.itemState and ODS_FOCUS) <> 0) then
           begin
             InflateRect(FocusRect, 1, 1);
-            if(FFocusOnBox) then
+            if (FFocusOnBox) then
               //TempRect := Rect(0, 0, CheckWidth - 1, CheckWidth - 1)
               TempRect := Rect(0, 0, CheckWidth + 2, CheckWidth + 5)
@@ -6205,10 +6307,10 @@
           else
             R.Left := 0;
-          if(FWordWrap) then
-            R.Top:= FocusRect.Top
+          if (FWordWrap) then
+            R.Top := FocusRect.Top
           else
           begin
-            R.Top:= ((ClientHeight - Bitmap.Height + 1) div 2) - 1;
-            if R.Top < 0 then R.Top := 0            
+            R.Top := ((ClientHeight - Bitmap.Height + 1) div 2) - 1;
+            if R.Top < 0 then R.Top := 0
           end;
           Draw(R.Left, R.Top, Bitmap);
@@ -6218,5 +6320,5 @@
       end;
     finally
-      if(TempBitMap) then
+      if (TempBitMap) then
         Bitmap.Free;
     end;
@@ -6226,8 +6328,8 @@
 procedure TORCheckBox.SetGrayedStyle(Value: TGrayedStyle);
 begin
-  if(FGrayedStyle <> Value) then
+  if (FGrayedStyle <> Value) then
   begin
     FGrayedStyle := Value;
-    if(State = cbGrayed) then Invalidate;
+    if (State = cbGrayed) then Invalidate;
   end;
 end;
@@ -6241,5 +6343,5 @@
 begin
   inherited;
-  if(FSizable) and (csDesigning in ComponentState) then
+  if (FSizable) and (csDesigning in ComponentState) then
     AutoAdjustSize;
 end;
